<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap.Vertical">

    <include layout="@layout/toolbar_title_text" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            style="@style/MatchWrap.Vertical"
            android:padding="5dp">

            <!-- Header Information Card -->
            <androidx.cardview.widget.CardView
                style="@style/MatchWrap"
                android:layout_marginBottom="5dp"
                app:cardCornerRadius="8dp"
                app:cardElevation="3dp"
                app:cardUseCompatPadding="true">

                <LinearLayout
                    style="@style/MatchWrap.Vertical"
                    android:paddingHorizontal="15dp"
                    android:paddingVertical="10dp">
                    <!-- Info Row 1 -->
                    <RelativeLayout
                        style="@style/MatchWrap"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/outbound_number"
                            style="@style/WrapWrap"
                            android:text="-"
                            android:textColor="@color/purple_200"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <!--复制-->
                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/btn_copy"
                            android:layout_width="25dp"
                            android:layout_height="25dp"
                            android:layout_marginStart="5dp"
                            android:layout_toEndOf="@+id/outbound_number"
                            android:background="?actionBarItemBackground"
                            android:padding="5dp"
                            android:src="@drawable/copy_icon" />

                        <TextView
                            android:id="@+id/outbound_status"
                            style="@style/WrapWrap"
                            android:layout_alignParentEnd="true"
                            android:layout_gravity="end"
                            android:background="@drawable/status_green_bg"
                            android:paddingHorizontal="10dp"
                            android:paddingVertical="2dp"
                            android:text="已出库"
                            android:textColor="@color/purple_200"
                            android:textSize="12sp" />
                    </RelativeLayout>

                    <!--横线-->
                    <View
                        android:layout_width="match_parent"
                        android:layout_height="1dp"
                        android:layout_marginTop="5dp"
                        android:layout_marginBottom="5dp"
                        android:background="@color/c_f5f5" />

                    <LinearLayout style="@style/MatchWrap.Horizontal">

                        <LinearLayout
                            style="@style/MatchWrap.Vertical"
                            android:layout_weight="1">

                            <!-- 出库类型 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:text="出库类型"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_order_type"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                            <!-- 客户 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="客户"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_customer"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                            <!-- 总金额 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="总金额"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_total_amount"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                            <!-- 出库时间 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="操作时间"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_outbound_time"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            style="@style/MatchWrap.Vertical"
                            android:layout_weight="1">
                            <!-- 仓库 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="仓库"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_warehouse"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                            <!-- 总数量 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="总数量"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_total_quantity"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                            <!-- 出库人 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="出库人"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_outbound_person"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                            <!-- 出库原因 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_marginTop="5dp"
                                android:text="出库原因"
                                android:textColor="@color/c_6666"
                                android:textSize="12sp" />

                            <TextView
                                android:id="@+id/tv_outbound_reason"
                                style="@style/text_black14_ww"
                                android:text="-"
                                android:textStyle="bold" />

                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <!-- 左右两根虚线 中间名称 -->
            <LinearLayout
                style="@style/MatchWrap.Horizontal"
                android:gravity="center"
                android:paddingHorizontal="50dp">
                <!-- 虚线 -->
                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:layout_weight="1"
                    android:background="@color/purple_200" />
                <!-- 名称 -->
                <TextView
                    style="@style/WrapWrap"
                    android:layout_gravity="center"
                    android:layout_marginStart="10dp"
                    android:layout_marginEnd="10dp"
                    android:text="出库明细"
                    android:textColor="@color/purple_200"
                    android:textSize="16sp"
                    android:textStyle="bold" />
                <!-- 虚线 -->
                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:layout_weight="1"
                    android:background="@color/purple_200" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_outbound_details"
                style="@style/RecyclerViewStyleMatchWrap" />
        </LinearLayout>
    </ScrollView>
</androidx.appcompat.widget.LinearLayoutCompat>